﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;
using HeuristicLab.Problems.DataAnalysis;
using HeuristicLab.Data.Views;

namespace HeuristicLab.DataPreprocessing {

  [View("Statistics View")]
  [Content(typeof(StatisticsContent), false)]
  public partial class StatisticsView : ItemView {

    public new StatisticsContent Content {
      get { return (StatisticsContent)base.Content; }
      set { base.Content = value; }
    }

    public StatisticsView() {
      InitializeComponent();
      var logic = Content.StatisticsLogic;
      txtRows.Text = logic.GetRowCount().ToString();
      txtColumns.Text = logic.GetColumnCount().ToString();
      txtNumericColumns.Text = logic.GetNumericColumnCount().ToString();
      txtNominalColumns.Text = logic.GetNominalColumnCount().ToString();
    }

    protected override void OnContentChanged() {
      base.OnContentChanged();
    }
  }
}
